Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I'm using the latest version of MikTex, which comes with biblatex, and I can't get biblatex to work. It breaks in the preamble:

\documentclass[a4paper,12pt]{scrartcl}
\usepackage{hyperref}
\usepackage[style=authoryear]{biblatex}
\addbibresource{soarBib.bib}
\title{A title}
\subtitle{Some Subtitle}
\author{Nate Glenn}
\date{May 16, 2011}
\begin{document}

The errors are:

! Undefined control sequence.
<recently read> \addbibresource
l.5 \addbibresource
{soarBib.bib}
The control sequence at the end of the top line
of your error message was never \def'ed. If you have
misspelled it (e.g., `\hobx'), type `I' and the correct
spelling (e.g., `I\hbox'). Otherwise just continue,
and I'll forget about whatever was undefined.
! LaTeX Error: Missing \begin{document}.
...

! Package biblatex Error: File 'literatureReview.bbl' not created by biblatex.
See the biblatex package documentation for explanation.
share|improve this question
    
Could it be that you didn't update your "latest" MiKTeX version (2.9) for some time? \addbibresource was introduced in biblatex v1.2, which was released in February 2011. (BTW, load hyperref after biblatex.) –  lockstep May 17 '11 at 5:27
    
you could try \bibliography{soarBib} instead of \addbibresource{} –  prettygully May 17 '11 at 5:43
    
To see the current version of biblatex use the command \listfiles. –  Marco Daniel May 17 '11 at 6:03
    
Your preamble works fine for me (current miktex 2.9). Check in the log file the location of your biblatex version. Is it in the main miktex root or in a user root? In the second case you will have to run the update manager as user to get the newest version. –  Ulrike Fischer May 17 '11 at 11:54
    
@lockstep- why do I need to load hyperref after biblatex? –  Nate Glenn May 17 '11 at 18:30
show 1 more comment

1 Answer

up vote 1 down vote accepted

The problem was that biblatex isn't included in MikTeX 2.8. It was solved by updating to 2.9.

share|improve this answer
    
These sorts of "Thanks" answers are discouraged on this site. –  Seamus May 18 '11 at 10:38
    
@Seamus: IMHO it qualifies as an answer because it's states that the issue was the older MikTeX version. However, I'm still tempted to close the question as "too localized" because it seems to be simply a case of not-up-to-date package(s). –  Martin Scharrer May 18 '11 at 11:20
    
@Martin @Nate sorry, I might have misread the answer. The way it's written doesn't make it clear that this is an answer. Perhaps it could be written to say "The problem is that biblatex isn't included in MikTeX 2.8. It was solved by updating to 2.9." –  Seamus May 18 '11 at 11:22
1  
@Seamus, @Nate: I agree that rephrasing would improve the post. Also Q&A's should be limited to one issue, so the ifxetex issue is misplaced. @Seamus: Also note my update on my last comment. –  Martin Scharrer May 18 '11 at 11:25
    
Sorry. Edited to follow standards. –  Nate Glenn May 18 '11 at 23:03
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.